Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding.library
Class LibraryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cocoon.util.location.LocatedException
                  org.apache.cocoon.ProcessingException
                      org.apache.cocoon.forms.FormsException
                          org.apache.cocoon.forms.binding.BindingException
                              org.apache.cocoon.forms.binding.library.LibraryException

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, org.apache.cocoon.util.location.LocatableException, org.apache.cocoon.util.location.MultiLocatable, Serializable

public class LibraryException
extends BindingException

This exception is thrown when something specific to the library system goes wrong.

Version:
  $Id: LibraryException.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  Serialized Form

Constructor Summary
`LibraryException(String message)`
`LibraryException(String message, org.apache.cocoon.util.location.Location location)`
`LibraryException(String message, Throwable cause)`
`LibraryException(String message, Throwable cause, org.apache.cocoon.util.location.Location location)`

Methods inherited from class org.apache.cocoon.ProcessingException
`throwLocated, throwLocated`

Methods inherited from class org.apache.cocoon.util.location.LocatedException
`addCauseLocations, addLocation, ensureCauseChainIsSet, getLocation, getLocations, getMessage, getMessage, getRawMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LibraryException

    public LibraryException(String message)

### LibraryException

    public LibraryException(String message,
                            Throwable cause)

### LibraryException

    public LibraryException(String message,
                            org.apache.cocoon.util.location.Location location)

### LibraryException

    public LibraryException(String message,
                            Throwable cause,
                            org.apache.cocoon.util.location.Location location)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.